<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_certificados_voluntario = array();
	$tdatasenuc_certificados_voluntario[".NumberOfChars"] = 80; 
	$tdatasenuc_certificados_voluntario[".ShortName"] = "senuc_certificados_voluntario";
	$tdatasenuc_certificados_voluntario[".OwnerID"] = "";
	$tdatasenuc_certificados_voluntario[".OriginalTable"] = "senuc_certificados_voluntario";

//	field labels
$fieldLabelssenuc_certificados_voluntario = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["cpf"] = "Cpf";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["cpf"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["tipo_voluntario"] = "Tipo Voluntario";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["tipo_voluntario"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["data_inicio"] = "Data Inicio";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["data_inicio"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["data_termino"] = "Data Termino";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["data_termino"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["codigo"] = "Codigo";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["codigo"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["texto"] = "Texto";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["texto"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["horas"] = "Horas";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["horas"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["operador"] = "Operador";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["operador"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"][""] = "";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"][""] = "";
	$fieldLabelssenuc_certificados_voluntario["Portuguese(Brazil)"][""] = "";
	$fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"][""] = "";
	if (count($fieldToolTipssenuc_certificados_voluntario["Portuguese(Brazil)"]))
		$tdatasenuc_certificados_voluntario[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_certificados_voluntario[".NCSearch"] = true;



$tdatasenuc_certificados_voluntario[".shortTableName"] = "senuc_certificados_voluntario";
$tdatasenuc_certificados_voluntario[".nSecOptions"] = 0;
$tdatasenuc_certificados_voluntario[".recsPerRowList"] = 1;
$tdatasenuc_certificados_voluntario[".mainTableOwnerID"] = "";
$tdatasenuc_certificados_voluntario[".moveNext"] = 1;
$tdatasenuc_certificados_voluntario[".nType"] = 0;

$tdatasenuc_certificados_voluntario[".strOriginalTableName"] = "senuc_certificados_voluntario";




$tdatasenuc_certificados_voluntario[".showAddInPopup"] = true;

$tdatasenuc_certificados_voluntario[".showEditInPopup"] = true;

$tdatasenuc_certificados_voluntario[".showViewInPopup"] = true;

$tdatasenuc_certificados_voluntario[".fieldsForRegister"] = array();

$tdatasenuc_certificados_voluntario[".listAjax"] = false;

	$tdatasenuc_certificados_voluntario[".audit"] = false;

	$tdatasenuc_certificados_voluntario[".locking"] = false;

$tdatasenuc_certificados_voluntario[".listIcons"] = true;

$tdatasenuc_certificados_voluntario[".exportTo"] = true;

$tdatasenuc_certificados_voluntario[".printFriendly"] = true;


$tdatasenuc_certificados_voluntario[".showSimpleSearchOptions"] = false;

$tdatasenuc_certificados_voluntario[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_certificados_voluntario[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_certificados_voluntario[".isUseAjaxSuggest"] = true;

$tdatasenuc_certificados_voluntario[".rowHighlite"] = true;

// button handlers file names
$tdatasenuc_certificados_voluntario[".isUsebuttonHandlers"] = true;

$tdatasenuc_certificados_voluntario[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_certificados_voluntario[".isUseTimeForSearch"] = false;




$tdatasenuc_certificados_voluntario[".allSearchFields"] = array();

$tdatasenuc_certificados_voluntario[".allSearchFields"][] = "cpf";
$tdatasenuc_certificados_voluntario[".allSearchFields"][] = "tipo_voluntario";
$tdatasenuc_certificados_voluntario[".allSearchFields"][] = "data_inicio";
$tdatasenuc_certificados_voluntario[".allSearchFields"][] = "data_termino";
$tdatasenuc_certificados_voluntario[".allSearchFields"][] = "texto";
$tdatasenuc_certificados_voluntario[".allSearchFields"][] = "horas";
$tdatasenuc_certificados_voluntario[".allSearchFields"][] = "operador";
$tdatasenuc_certificados_voluntario[".allSearchFields"][] = "data";

$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "cpf";
$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "tipo_voluntario";
$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "data_inicio";
$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "data_termino";
$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "codigo";
$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "texto";
$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "horas";
$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "operador";
$tdatasenuc_certificados_voluntario[".googleLikeFields"][] = "data";


$tdatasenuc_certificados_voluntario[".advSearchFields"][] = "cpf";
$tdatasenuc_certificados_voluntario[".advSearchFields"][] = "tipo_voluntario";
$tdatasenuc_certificados_voluntario[".advSearchFields"][] = "data_inicio";
$tdatasenuc_certificados_voluntario[".advSearchFields"][] = "data_termino";
$tdatasenuc_certificados_voluntario[".advSearchFields"][] = "texto";
$tdatasenuc_certificados_voluntario[".advSearchFields"][] = "horas";
$tdatasenuc_certificados_voluntario[".advSearchFields"][] = "operador";
$tdatasenuc_certificados_voluntario[".advSearchFields"][] = "data";

$tdatasenuc_certificados_voluntario[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_certificados_voluntario[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_certificados_voluntario[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_certificados_voluntario[".orderindexes"] = array();

$tdatasenuc_certificados_voluntario[".sqlHead"] = "SELECT cpf,  tipo_voluntario,  data_inicio,  data_termino,  codigo,  texto,  horas,  operador,  `data`";
$tdatasenuc_certificados_voluntario[".sqlFrom"] = "FROM senuc_certificados_voluntario";
$tdatasenuc_certificados_voluntario[".sqlWhereExpr"] = "";
$tdatasenuc_certificados_voluntario[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_certificados_voluntario[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_certificados_voluntario[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_certificados_voluntario = array();
$tableKeyssenuc_certificados_voluntario[] = "cpf";
$tdatasenuc_certificados_voluntario[".Keys"] = $tableKeyssenuc_certificados_voluntario;

$tdatasenuc_certificados_voluntario[".listFields"] = array();
$tdatasenuc_certificados_voluntario[".listFields"][] = "cpf";
$tdatasenuc_certificados_voluntario[".listFields"][] = "tipo_voluntario";
$tdatasenuc_certificados_voluntario[".listFields"][] = "data_inicio";
$tdatasenuc_certificados_voluntario[".listFields"][] = "data_termino";
$tdatasenuc_certificados_voluntario[".listFields"][] = "texto";
$tdatasenuc_certificados_voluntario[".listFields"][] = "horas";
$tdatasenuc_certificados_voluntario[".listFields"][] = "operador";
$tdatasenuc_certificados_voluntario[".listFields"][] = "data";

$tdatasenuc_certificados_voluntario[".viewFields"] = array();

$tdatasenuc_certificados_voluntario[".addFields"] = array();
$tdatasenuc_certificados_voluntario[".addFields"][] = "cpf";
$tdatasenuc_certificados_voluntario[".addFields"][] = "tipo_voluntario";
$tdatasenuc_certificados_voluntario[".addFields"][] = "data_inicio";
$tdatasenuc_certificados_voluntario[".addFields"][] = "data_termino";
$tdatasenuc_certificados_voluntario[".addFields"][] = "texto";
$tdatasenuc_certificados_voluntario[".addFields"][] = "horas";

$tdatasenuc_certificados_voluntario[".inlineAddFields"] = array();

$tdatasenuc_certificados_voluntario[".editFields"] = array();

$tdatasenuc_certificados_voluntario[".inlineEditFields"] = array();

$tdatasenuc_certificados_voluntario[".exportFields"] = array();
$tdatasenuc_certificados_voluntario[".exportFields"][] = "cpf";
$tdatasenuc_certificados_voluntario[".exportFields"][] = "tipo_voluntario";
$tdatasenuc_certificados_voluntario[".exportFields"][] = "data_inicio";
$tdatasenuc_certificados_voluntario[".exportFields"][] = "data_termino";
$tdatasenuc_certificados_voluntario[".exportFields"][] = "texto";
$tdatasenuc_certificados_voluntario[".exportFields"][] = "horas";
$tdatasenuc_certificados_voluntario[".exportFields"][] = "operador";
$tdatasenuc_certificados_voluntario[".exportFields"][] = "data";

$tdatasenuc_certificados_voluntario[".printFields"] = array();
$tdatasenuc_certificados_voluntario[".printFields"][] = "cpf";
$tdatasenuc_certificados_voluntario[".printFields"][] = "tipo_voluntario";
$tdatasenuc_certificados_voluntario[".printFields"][] = "data_inicio";
$tdatasenuc_certificados_voluntario[".printFields"][] = "data_termino";
$tdatasenuc_certificados_voluntario[".printFields"][] = "texto";
$tdatasenuc_certificados_voluntario[".printFields"][] = "horas";
$tdatasenuc_certificados_voluntario[".printFields"][] = "operador";
$tdatasenuc_certificados_voluntario[".printFields"][] = "data";

//	cpf
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "cpf";
	$fdata["GoodName"] = "cpf";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Cpf"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "cpf"; 
		$fdata["FullName"] = "cpf";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 1;
			
		
			
	$edata["LinkField"] = "cpf";
	$edata["LinkFieldType"] = 200;
	$edata["DisplayField"] = "cpf";
	
		
	$edata["LookupTable"] = "associados";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		$edata["FastType"] = true; 
	
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["cpf"] = $fdata;
//	tipo_voluntario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "tipo_voluntario";
	$fdata["GoodName"] = "tipo_voluntario";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Tipo Voluntario"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "tipo_voluntario"; 
		$fdata["FullName"] = "tipo_voluntario";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "tipo_voluntario";
	
		
	$edata["LookupTable"] = "senuc_tipo_voluntario";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["tipo_voluntario"] = $fdata;
//	data_inicio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "data_inicio";
	$fdata["GoodName"] = "data_inicio";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Data Inicio"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_inicio"; 
		$fdata["FullName"] = "data_inicio";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["data_inicio"] = $fdata;
//	data_termino
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "data_termino";
	$fdata["GoodName"] = "data_termino";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Data Termino"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_termino"; 
		$fdata["FullName"] = "data_termino";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["data_termino"] = $fdata;
//	codigo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "codigo";
	$fdata["GoodName"] = "codigo";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Codigo"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "codigo"; 
		$fdata["FullName"] = "codigo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["codigo"] = $fdata;
//	texto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "texto";
	$fdata["GoodName"] = "texto";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Texto"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "texto"; 
		$fdata["FullName"] = "texto";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "HTML");
	
		
		
		
			
		
		
		
		
		
		
		
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text area");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;
	
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["texto"] = $fdata;
//	horas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "horas";
	$fdata["GoodName"] = "horas";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Horas"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "horas"; 
		$fdata["FullName"] = "horas";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["horas"] = $fdata;
//	operador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "operador";
	$fdata["GoodName"] = "operador";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Operador"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "operador"; 
		$fdata["FullName"] = "operador";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["operador"] = $fdata;
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "senuc_certificados_voluntario";
	$fdata["Label"] = "Data"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data"; 
		$fdata["FullName"] = "`data`";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_certificados_voluntario["data"] = $fdata;

	
$tables_data["senuc_certificados_voluntario"]=&$tdatasenuc_certificados_voluntario;
$field_labels["senuc_certificados_voluntario"] = &$fieldLabelssenuc_certificados_voluntario;
$fieldToolTips["senuc_certificados_voluntario"] = &$fieldToolTipssenuc_certificados_voluntario;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_certificados_voluntario"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_certificados_voluntario"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_certificados_voluntario()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "cpf,  tipo_voluntario,  data_inicio,  data_termino,  codigo,  texto,  horas,  operador,  `data`";
$proto0["m_strFrom"] = "FROM senuc_certificados_voluntario";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "cpf",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_voluntario",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "data_inicio",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "data_termino",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "codigo",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "texto",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "horas",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "operador",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "senuc_certificados_voluntario"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto23=array();
$proto23["m_link"] = "SQLL_MAIN";
			$proto24=array();
$proto24["m_strName"] = "senuc_certificados_voluntario";
$proto24["m_columns"] = array();
$proto24["m_columns"][] = "id";
$proto24["m_columns"][] = "id_nucleo";
$proto24["m_columns"][] = "cpf";
$proto24["m_columns"][] = "tipo_voluntario";
$proto24["m_columns"][] = "data_inicio";
$proto24["m_columns"][] = "data_termino";
$proto24["m_columns"][] = "codigo";
$proto24["m_columns"][] = "texto";
$proto24["m_columns"][] = "horas";
$proto24["m_columns"][] = "operador";
$proto24["m_columns"][] = "data";
$obj = new SQLTable($proto24);

$proto23["m_table"] = $obj;
$proto23["m_alias"] = "";
$proto25=array();
$proto25["m_sql"] = "";
$proto25["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto25["m_column"]=$obj;
$proto25["m_contained"] = array();
$proto25["m_strCase"] = "";
$proto25["m_havingmode"] = "0";
$proto25["m_inBrackets"] = "0";
$proto25["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto25);

$proto23["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto23);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_certificados_voluntario = createSqlQuery_senuc_certificados_voluntario();
									$tdatasenuc_certificados_voluntario[".sqlquery"] = $queryData_senuc_certificados_voluntario;
	
if(isset($tdatasenuc_certificados_voluntario["field2"])){
	$tdatasenuc_certificados_voluntario["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_certificados_voluntario["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_certificados_voluntario["field2"]["LookupType"] = 4;
	$tdatasenuc_certificados_voluntario["field2"]["LinkField"] = "email";
	$tdatasenuc_certificados_voluntario["field2"]["DisplayField"] = "name";
	$tdatasenuc_certificados_voluntario[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_certificados_voluntario_events.php"));
$tableEvents["senuc_certificados_voluntario"] = new eventclass_senuc_certificados_voluntario;
$tdatasenuc_certificados_voluntario[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_certificados_voluntario");

?>